Bug 1851873 - CPUThrottlingHigh and other alerts lack namespace restrictions
Summary: CPUThrottlingHigh and other alerts lack namespace restrictions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.5.0
Assignee: Sergiusz Urbaniak
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1850717
Blocks: 1851920
TreeView+ depends on / blocked
 
Reported: 2020-06-29 09:57 UTC by Lili Cosic
Modified: 2020-07-13 17:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1850717
: 1851920 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:44:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 832 None closed Bug 1851873: Add namespace selector to CPUThrottlingHigh 2020-07-06 02:40:34 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:45:14 UTC

Internal Links: 1843346

Comment 4 hongyan li 2020-06-30 02:17:34 UTC
Set up environment with build 4.5.0-0.nightly-2020-06-30-003734

Comment 5 Junqi Zhao 2020-06-30 04:25:26 UTC
Tested with 4.5.0-0.nightly-2020-06-30-003734, CPUThrottlingHigh alert have been added namespace restrictions
# oc -n openshift-monitoring exec -c prometheus prometheus-k8s-0 -- cat cat /etc/prometheus/rules/prometheus-k8s-rulefiles-0/openshift-monitoring-prometheus-k8s-rules.yaml | grep CPUThrottlingHigh -A 12
cat: cat: No such file or directory
  - alert: CPUThrottlingHigh
    annotations:
      message: '{{ $value | humanizePercentage }} throttling of CPU in namespace {{
        $labels.namespace }} for container {{ $labels.container }} in pod {{ $labels.pod
        }}.'
    expr: |
      sum(increase(container_cpu_cfs_throttled_periods_total{container!="", namespace=~"(openshift-.*|kube-.*|default|logging)"}[5m])) by (container, pod, namespace)
        /
      sum(increase(container_cpu_cfs_periods_total{namespace=~"(openshift-.*|kube-.*|default|logging)"}[5m])) by (container, pod, namespace)
        > ( 25 / 100 )
    for: 15m
    labels:
      severity: warning

Comment 6 errata-xmlrpc 2020-07-13 17:44:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.